> ## Documentation Index
> Fetch the complete documentation index at: https://learn.nexudus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ✔️Check availability

> Lets you check if a resource can be booked at given date and time and returns any conflict information as well as a price.

## Authentication

<Note>
  This endpoint requires OAuth2 authentication. Include a valid bearer token in the `Authorization` header.
</Note>

## Query Parameters

<ParamField query="marketplace_id" type="string" required />

<ParamField query="location_id" type="string" required>
  The unique id of a location
</ParamField>

<ParamField query="resource_id" type="string" required>
  The unique id of the location to get the availability for
</ParamField>

<ParamField query="start_local" type="string" required>
  The earliest date to show bookings for. The date and time are parsed in the local time of the passed in location. Defaults to the current date and time.
</ParamField>

<ParamField query="duration_minutes" type="string">
  The amount of minutes after the start\_local time to show data for. Defaults to 60 minutes.
</ParamField>

## Response

### 200

<ResponseField name="price" type="object" />

<ResponseField name="confirmation" type="object" />

<ResponseField name="available" type="boolean">
  Example: `false`
</ResponseField>

<ResponseField name="message" type="string">
  Example: `This resource is already booked. Please choose a different start and end times.`
</ResponseField>

<ResponseField name="error_code" type="string">
  Example: `BOOKING_CONFLICT`
</ResponseField>

```json Example Response theme={null}
{
  "price": {
    "amount": 4.81,
    "currency": "USD",
    "rate": {
      "id": "3099381d-c8dd-4994-b8fb-be1736b12b60",
      "name": "Large Conference Rooms",
      "description": "Large Conference Rooms",
      "price": 100,
      "tax_rate": 20,
      "period": "Minutes",
      "members_only": false,
      "contacts_only": false,
      "min_length_minutes": null,
      "max_length_minutes": null,
      "fixed_price": null,
      "fixed_price_length_minutes": null
    }
  },
  "confirmation": {
    "confirmed": false,
    "message": null,
    "booking_id": null
  },
  "available": false,
  "message": "This resource is already booked. Please choose a different start and end times.",
  "error_code": "BOOKING_CONFLICT"
}
```

## Example Request

```bash theme={null}
curl -X GET \
  "https://spaces.nexudus.com/api/apps/marketplaceapplications/available" \
  -H "Authorization: Bearer YOUR_TOKEN"
```
